OfficeGest
Workshop/Customers/{customer}/Appointment attendance

Customer appointment attendance

Returns no-show count against the last 10 past appointments (workshop + CRM) for a customer.

GET
/workshop/customers/{customer}/appointment-attendance
AuthorizationBearer <token>

In: header

Path Parameters

customerstring

Response Body

curl -X GET "https://og-tenant1.test:8003/api/v2/workshop/customers/string/appointment-attendance"
{
  "data": {
    "no_shows": 0,
    "total": 0
  }
}
{
  "data": {
    "code": "VALIDATION_FAILED",
    "message": "The given data was invalid.",
    "errors": {
      "email": [
        "The email field is required."
      ]
    }
  },
  "meta": {
    "trace_id": "9f86d081884c7d659a2feaa0c55ad01568f3a1c2b4d5e"
  }
}
{
  "data": {
    "code": "VALIDATION_FAILED",
    "message": "The given data was invalid.",
    "errors": {
      "email": [
        "The email field is required."
      ]
    }
  },
  "meta": {
    "trace_id": "9f86d081884c7d659a2feaa0c55ad01568f3a1c2b4d5e"
  }
}
{
  "data": {
    "code": "VALIDATION_FAILED",
    "message": "The given data was invalid.",
    "errors": {
      "email": [
        "The email field is required."
      ]
    }
  },
  "meta": {
    "trace_id": "9f86d081884c7d659a2feaa0c55ad01568f3a1c2b4d5e"
  }
}